<!DOCTYPE html>
<html lang='en' xmlns:th="http://www.thymeleaf.org">
  <head>
<style>
    /* For Sundays */
    .fc-day-sun {
        color: red; /* Change the color to your desired value */
    }

    /* For Saturdays */
    .fc-day-sat {
        color: blue; /* Change the color to your desired value */
    }
</style>
    <meta charset='utf-8' />
    <!--  
    <link th:href="@{/css/fullcalendar-5.11.4/lib/main.css}" rel="stylesheet" />
    <script th:src="@{/css/fullcalendar-5.11.4/lib/main.js}"></script>
    <script src="https://cdn.jsdelivr.net/npm/fullcalendar@6.1.5/index.global.min.js"></script>
    -->
    <!-- jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <!-- bootstrap 4 -->
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
	
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    
<!--      <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/fullcalendar@5.7.0/main.min.css"> -->
    <link th:href="@{/css/main.css}" rel="stylesheet" />
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/fullcalendar@5.7.0/main.min.js"></script>
	
    <script th:inline="javascript">

      document.addEventListener('DOMContentLoaded', function() {
        var calendarEl = document.getElementById('calendar');
        var calendar = new FullCalendar.Calendar(calendarEl, {
        
			initialView: 'dayGridMonth',
            headerToolbar: {
                left: 'addListButton',
                center: 'title',
                right: 'today,prevYear,prev,next,nextYear'
            },
/* 			footerToolbar: {
               left: 'addListButton',
                center: null,
                right: 'addEventButton'
           }, */
            customButtons: {
/*                 addEventButton: { // 추가한 버튼 설정
                    text : "일정 추가",  // 버튼 내용
					click: function() {
	     		 	window.location.href = "/show/register"; // Replace with your desired URL
	    			}			 
               	}, */
            	addListButton: {
            		text: "일정 모아보기",
					click: function() {
     		 		window.location.href = "/show/list"; // Replace with your desired URL
    				}
            	}
           },
            buttonText: {
                today: "오늘",
            },
            displayEventTime: false,
			locale: "ko",
	        height: '780px', // calendar 높이 설정
	        expandRows: true,
 	        fixedWeekCount: false,
//	        showNonCurrentDates: false,
	        datesSet: function(view) {
	        
	            console.log('날짜 범위가 변경되었습니다.', view.start, view.end);
	            //이벤트 등록 함수 호출
	            reset();
	            eventRegister();
	        },


//            events: [
//            	{
//            		title: '테스트',
//            		start:'2023-04-05',
//            		end: '2023-04-07'
//            	}
//            ]
        });
        calendar.render();           
        console.log(tds)
      });
		
      function reset() {
    	  const tds = document.querySelectorAll("td.fc-daygrid-day");
    	  for(i in tds){
    		  if(!isNaN(i)){
    			  const td = tds[i];
      			if(td.childNodes[0].childNodes[1].childNodes[0]!=undefined){
      				td.childNodes[0].childNodes[1].childNodes[0].innerHTML = '';
      			} 
    		  }
    			
    			 
    	  }
    	 
      }
      
      //일정 등록
      function eventRegister(){
    	  let showArray = new Array();
          let showArrayList = [[${list}]];
          let show = new Object();
          
//          showArrayList.forEach(function(item) {
//          	show.no = item.showNo
//          	show.title = item.showName
//         	show.start = item.startDate
//          	show.end = item.endDate
//          	showArray.push(show);
//          });
          
          /*[# th:each="dto : ${list}"]*/
          show.no = /*[[${dto.showNo}]]*/
          show.title = /*[[${dto.showName}]]*/
          show.start = /*[[${dto.startDate}]]*/
          show.end = /*[[${dto.endDate}]]*/
          showArray.push(show);
          /*[/]*/
          
          let noArray = new Array();
          
          for (let i = 0; i < showArray.length; i++) {
          	noArray.push(showArray[i].showNo)
          }
          
          
          console.log(showArrayList);
          console.log(showArray);
          
          const tds = document.querySelectorAll("td.fc-daygrid-day"); //40
          
/* 	      const arr = tds[10];
          const	str = arr.getAttribute("data-date");
          const obj = new Date(str);
          const currentMonth = obj.getMonth()+1; */
          
          for(i in tds){
  			const td = tds[i]; //i 0~40
/*   		const dateStr = td.getAttribute("data-date");
  			const dateObj = new Date(dateStr);
  			const month = dateObj.getMonth()+1; */
  			
  			for(let i = 0; i < showArray.length; i++) {
  				//if (month == currentMonth) {
  				if (td instanceof HTMLElement) {			
  					if(td.getAttribute("data-date") == showArrayList[i].startDate){
  						let span = '<a href=""></a>';
  						let linkUrl = '/show/read?showNo=' + showArrayList[i].showNo;
  						let linkText = showArrayList[i].showName.substring(0, 12);
  						if (showArrayList[i].showName.length > 12) {
  						  linkText += '...'; // 6글자 이후의 내용은 "..."으로 출력
  						}
  					
  						let linkElement = document.createElement('a');
  						linkElement.href = linkUrl;
  						linkElement.textContent = linkText;
  						linkElement.style.fontSize = '14px';
  						linkElement.style.color = 'white';
  						linkElement.style.backgroundColor = 'rgb(142, 175, 129)';
  						linkElement.style.border = '1px solid white';
  						linkElement.style.textAlign = 'center';
  						linkElement.style.width = '100%'; // 너비
  						linkElement.style.textDecoration = 'none';
  						linkElement.style.display = 'inline-block'; // display 속성
  						//linkElement.style.fontWeight = 'bold';
  						span = linkElement.outerHTML;
  						
  					if(td.childNodes[0].childNodes[1].childNodes[0].innerHTML!=null){
  						let ori = td.childNodes[0].childNodes[1].childNodes[0].innerHTML;
  						td.childNodes[0].childNodes[1].childNodes[0].innerHTML = ori + span;
  					}else{
  						td.childNodes[0].childNodes[1].childNodes[0].innerHTML = span;
  						//오류 발생 시 innerHTML -> append()
  					}
  					} 
  				} else {
  					return;		
  				} 
  				//}
//  				if(td.getAttribute("data-date")== showArrayList[i].endDate){
//  					let span = '<a href="/show/read(showNo = show.no)"> show.title 종료 </a>'; 
//  					td.childNodes[0].childNodes[1].childNodes[0].innerHTML = span;
//  				}
  					
  			}
  		}
      }
      
    </script>
  </head>
<th:block th:replace="layout/basic :: setContent(~{this::content} )">
<th:block th:fragment="content">

  <body>
     
    <div id='calendar' style="margin-top: 33px"></div>
 <!--  
       <a th:href="@{/show/list}">
        	<button type="button" class="btn btn-info" style="color: white;background-color: rgb(44,62,80); border-color: rgb(44,62,80);">일정 모아보기</button>
        </a>
        -->
   <div class="d-flex justify-content-start align-items-center">     
        	<span>
                <a th:href="@{/show/register}">
                    <button sec:authorize="hasRole('ROLE_ADMIN')" type="button" class="btn btn-outline-primary" style="color: black;background-color: white; border-color: rgb(44,62,80);margin: 12px 1px 1px 1px;">일정 추가</button>
                </a>
            </span>
            <form class="mx-auto" style="text-align: center;" th:action="@{/show/list}" method="get">

				
				<input style="width: 70%; border: 2px solid #2A403D; border-radius: 8px; padding: 7px; font-size: 15px; margin-left:5px; margin-top:10px" name="searchKeyword" type="text" placeholder="검색어 입력">
				<button style="top: 8px; right: 30px; background-color: transparent; border: none;" type="submit">
    			<img style="width: 25px; margin: 0;" src="https://s3.ap-northeast-2.amazonaws.com/cdn.wecode.co.kr/icon/search.png" alt="검색 아이콘">
  				</button>
			</form>
    </div>	
  </body>
 
</th:block>
</th:block>